import { ILogger, ServiceFactory, ServiceFactoryConfigOption } from '@midwayjs/core';
import { Producer, Admin } from 'kafkajs';
import { IMidwayKafkaAdminInitOptions, IMidwayKafkaProducerInitOptions } from './interface';
export declare class KafkaProducerFactory extends ServiceFactory<Producer> {
    logger: ILogger;
    pubConfig: ServiceFactoryConfigOption<IMidwayKafkaProducerInitOptions>;
    getName(): string;
    init(): Promise<void>;
    protected createClient(config: IMidwayKafkaProducerInitOptions, clientName: any): Promise<Producer>;
    destroyClient(producer: Producer, name: string): Promise<void>;
    destroy(): Promise<void>;
}
export declare class KafkaAdminFactory extends ServiceFactory<Admin> {
    logger: ILogger;
    adminConfig: ServiceFactoryConfigOption<IMidwayKafkaProducerInitOptions>;
    getName(): string;
    init(): Promise<void>;
    protected createClient(config: IMidwayKafkaAdminInitOptions, clientName: any): Promise<Admin>;
    destroyClient(admin: Admin, name: string): Promise<void>;
    destroy(): Promise<void>;
}
//# sourceMappingURL=service.d.ts.map